#!/bin/sh

[ -z "$*" ] && exit 1

if [ -n "`/sbin/pidof -s artsd`" ] ; then
    exec artsplay "$@"
else
    if [ -S /tmp/.esd-${UID}/socket ]; then
	exec esdplay "$@"
    else
	if [ -S ~/.pulse/native ]; then
	    exec sox "$@" -t wav - | paplay
	else
	    exec play -v 0.5 "$@"
	fi
    fi
fi
