#!/bin/sh

[ -z "$*" ] && exit 1

if [ -n "`/sbin/pidof -s artsd`" ] ; then
	exec artsdsp "$@"
else
    if [ -S /tmp/.esd-${UID}/socket ]; then
	exec esddsp "$@"
    else
        if [ -S ~/.pulse/native ]; then
	    exec padsp "$@"
	else
	    if [ -e /proc/asound/card0/id ]; then
	        echo "${0##*/}: Execute \"$@\" via aoss" >&2
	        exec aoss "$@"
	    else
	        echo "${0##*/}: Execute \"$@\" without padsp, aoss, artsdsp or esddsp" >&2
	        exec "$@"
	    fi
	fi
    fi
fi
